IDFilter
Date: 2016-07-03

com.icl.saxon

## Class IDFilter

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - com.icl.saxon.IDFilter

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

      public class IDFilter
      extends org.xml.sax.helpers.XMLFilterImpl

  IDFilter is a SAX filter that extracts the subtree of a document rooted at the element with a given ID value. Namespace declarations outside this subtree are treated as if they were present on the identified element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDFilter(java.lang.String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] chars, int start, int len)`
    `void` | `endElement(java.lang.String localName, java.lang.String uri, java.lang.String qname)`
    `void` | `endPrefixMapping(java.lang.String prefix)`
    `void` | `ignorableWhitespace(char[] chars, int start, int len)`
    `void` | `processingInstruction(java.lang.String name, java.lang.String data)`
    `void` | `startElement(java.lang.String localName, java.lang.String uri, java.lang.String qname, org.xml.sax.Attributes atts)`
    `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

    - ### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

      `endDocument, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, notationDecl, parse, parse, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IDFilter

          public IDFilter(java.lang.String id)

  - ### Method Detail

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String prefix,
                                java.lang.String uri)
                                  throws org.xml.sax.SAXException

      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String prefix)
                                throws org.xml.sax.SAXException

      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endPrefixMapping` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String localName,
                          java.lang.String uri,
                          java.lang.String qname,
                          org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String localName,
                        java.lang.String uri,
                        java.lang.String qname)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] chars,
                        int start,
                        int len)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] chars,
                                 int start,
                                 int len)
                                   throws org.xml.sax.SAXException

      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `ignorableWhitespace` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`

    - #### processingInstruction

          public void processingInstruction(java.lang.String name,
                                   java.lang.String data)
                                     throws org.xml.sax.SAXException

      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `processingInstruction` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`